Function ExchCheck
	Call DetectExch2010
End Function

Function DetectExch2010
	On Error Resume Next
	Set objShell = WScript.CreateObject("WScript.Shell")
	temp = objShell.RegRead _
		("HKLM\Software\Microsoft\ExchangeServer\v14\Setup\MsiProductMajor")
	If Err.Number <> 0 Then
		temp = 0
		Call Detect2007
	Else
		If(temp = 14) Then
			bExchMajorVersion = 14
			bExchMinorVersion = objShell.RegRead _
			("HKLM\Software\Microsoft\ExchangeServer\v14\Setup\MsiProductMinor")
		End If
	End If
End Function

Function Detect2007
	On Error Resume Next
	Err.Clear
	Set objShell = WScript.CreateObject("WScript.Shell")
	
	temp = objShell.RegRead _
		("HKLM\Software\Microsoft\Exchange\Setup\MsiProductMajor")
	If Err.Number <> 0 Then
		temp = 0
		Call Detect2003
	Else
		If temp = 8 Then
			bExchMajorVersion = 8
			bExchMinorVersion = objShell.RegRead _
									("HKLM\Software\Microsoft\Exchange\Setup\MsiProductMinor")
		
		End If
	End If
End Function

Function Detect2003
	On Error Resume Next
	Err.Clear
	Set objShell = WScript.CreateObject("WScript.Shell")
	
	temp = objShell.RegRead _
		("HKLM\SOFTWARE\Microsoft\Exchange\Setup\Services Version")
	If Err.Number <> 0 Then
		temp = Nothing
		Exit Function
	Else
		If temp = 65 Then
			bExchMajorVersion = temp / 10
			bExchMinorVersion = objShell.RegRead _
						("HKLM\SOFTWARE\Microsoft\Exchange\Setup\ServicePackNumber")
		End If
	End If
End Function