<?php

/**
 * This class was created using wsdl2php.
 *
 * @wsdl2php  Mon, 17 Mar 2014 19:06:02 +0200 - Last modified
 * @WSDL      https://test.connectwise.com/v4_6_release/apis/1.5/ServiceTicketApi.asmx?wsdl
 * @Processed Wed, 23 Apr 2014 03:12:27 +0300
 * @Hash      af5e09708c1a6b5020487d52bdc9672f
 */

class ServiceTicketApi_ServiceTicket
{

    /**
     * @var int $TicketNumber
     * @mandatory
     */
    public $TicketNumber;

    /**
     * @var string $Summary
     */
    public $Summary;

    /**
     * @var string $SiteName
     */
    public $SiteName;

    /**
     * @var string $Board
     */
    public $Board;

    /**
     * @var string $ServiceType
     */
    public $ServiceType;

    /**
     * @var string|Null $Status One of the constants defined in ServiceTicketApi_NsnStatusId
     * @mandatory
     */
    public $Status;

    /**
     * @var string $StatusName
     */
    public $StatusName;

    /**
     * @var string $AddressLine1
     */
    public $AddressLine1;

    /**
     * @var string $AddressLine2
     */
    public $AddressLine2;

    /**
     * @var string $City
     */
    public $City;

    /**
     * @var string $StateId
     */
    public $StateId;

    /**
     * @var string $Zip
     */
    public $Zip;

    /**
     * @var string $Country
     */
    public $Country;

    /**
     * @var string $Resolution
     */
    public $Resolution;

    /**
     * @var string $RemoteInternalCompanyName
     */
    public $RemoteInternalCompanyName;

    /**
     * @var string $ProblemDescription
     */
    public $ProblemDescription;

    /**
     * @var int $SendingSrServiceRecid
     * @mandatory
     */
    public $SendingSrServiceRecid;

    /**
     * @var dateTime $DateReq
     * @mandatory
     */
    public $DateReq;

    /**
     * @var string $SubBillingMethodId One of the constants defined in ServiceTicketApi_SrBillingMethod
     * @mandatory
     */
    public $SubBillingMethodId;

    /**
     * @var decimal $SubBillingAmount
     * @mandatory
     */
    public $SubBillingAmount;

    /**
     * @var dateTime $SubDateAccepted
     * @mandatory
     */
    public $SubDateAccepted;

    /**
     * @var dateTime $SubDateAcceptedUtc
     * @mandatory
     */
    public $SubDateAcceptedUtc;

    /**
     * @var string $CustupdateFlag
     */
    public $CustupdateFlag;

    /**
     * @var string $ContactName
     */
    public $ContactName;

    /**
     * @var string $ContactPhoneNumber
     */
    public $ContactPhoneNumber;

    /**
     * @var string $ContactPhoneExtension
     */
    public $ContactPhoneExtension;

    /**
     * @var string $ContactEmailAddress
     */
    public $ContactEmailAddress;

    /**
     * @var string $NewTicketContactEmailLookup
     */
    public $NewTicketContactEmailLookup;

    /**
     * @var string $XRefID
     */
    public $XRefID;

    /**
     * @var ServiceTicketApi_ArrayOfTicketConfiguration $Configurations
     */
    public $Configurations;

    /**
     * @var string $Location
     */
    public $Location;

    /**
     * @var decimal $BudgetHours
     * @mandatory
     */
    public $BudgetHours;

    /**
     * @var string $Priority
     */
    public $Priority;

    /**
     * @var boolean $ProcessNotifications
     * @mandatory
     */
    public $ProcessNotifications;

    /**
     * @var boolean $SkipCallback
     * @mandatory
     */
    public $SkipCallback;

    /**
     * @var string $PoNumber
     */
    public $PoNumber;

    /**
     * @var string $Source
     */
    public $Source;

    /**
     * @var int|Null $OpportunityId
     * @mandatory
     */
    public $OpportunityId;

    /**
     * @var int|Null $AgreementId
     * @mandatory
     */
    public $AgreementId;

    /**
     * @var int|Null $TeamId
     * @mandatory
     */
    public $TeamId;

    /**
     * @var string $Severity
     */
    public $Severity;

    /**
     * @var string $Impact
     */
    public $Impact;

    /**
     * @var ServiceTicketApi_ArrayOfTicketNote $DetailNotes
     */
    public $DetailNotes;

    /**
     * @var ServiceTicketApi_ArrayOfTicketNote $InternalAnalysisNotes
     */
    public $InternalAnalysisNotes;

    /**
     * @var ServiceTicketApi_ArrayOfTicketNote $ResolutionNotes
     */
    public $ResolutionNotes;

    /**
     * @var ServiceTicketApi_ArrayOfDocumentInfo $Documents
     */
    public $Documents;

    /**
     * @var string $ServiceSubType
     */
    public $ServiceSubType;

    /**
     * @var string $ServiceItem
     */
    public $ServiceItem;

    /**
     * @var dateTime|Null $LastUpdateDate
     * @mandatory
     */
    public $LastUpdateDate;

    /**
     * @var decimal|Null $ActualHours
     * @mandatory
     */
    public $ActualHours;

    /**
     * @var int|Null $BoardID
     * @mandatory
     */
    public $BoardID;

    /**
     * @var dateTime|Null $EnteredDate
     * @mandatory
     */
    public $EnteredDate;

    /**
     * @var dateTime|Null $ClosedDate
     * @mandatory
     */
    public $ClosedDate;

    /**
     * @var int|Null $CompanyRecId
     * @mandatory
     */
    public $CompanyRecId;

    /**
     * @var int|Null $ContactRecId
     * @mandatory
     */
    public $ContactRecId;

    /**
     * @var string $CompanyId
     */
    public $CompanyId;

    /**
     * @var int|Null $PortalTypeId
     * @mandatory
     */
    public $PortalTypeId;

    /**
     * @var boolean $Approved
     * @mandatory
     */
    public $Approved;

    /**
     * @var dateTime|Null $RequiredDate
     * @mandatory
     */
    public $RequiredDate;

    /**
     * @var dateTime|Null $DateReqUtc
     * @mandatory
     */
    public $DateReqUtc;

    /**
     * @var boolean $ClosedFlag
     * @mandatory
     */
    public $ClosedFlag;

}
