<?php

class Users
{
    private $BP;
     
    public function __construct($BP)
    {
		$this->BP = $BP;

    }
 
    public function get($which)
    {
		$allUsers = array();
	
		$users = $this->BP->get_user_list();
		if ($users !== false) {
			foreach ($users as $id => $name) {
				if ($which > 0 and $id != $which) {
					continue;
				}
				$userInfo = $this->BP->get_user_info($id);
				if ($userInfo !== false) {
                    $eachUser = array ( 'id'=>$userInfo['id'],
                                        'name'=>$userInfo['name'],
                                        'superuser'=>$userInfo['superuser'],
                                        'vault_user'=>$userInfo['vault_user'],
                                        'customers'=>isset($userInfo['customers']) ? $userInfo['customers'] : null,
                                        'locations'=>isset($userInfo['locations']) ? $userInfo['locations'] : null,
                                        'systems'=>isset($userInfo['systems']) ? $userInfo['systems'] : null
                                        );
                    if (isset($userInfo['administrator'])) {
                        $eachUser['administrator'] = $userInfo['administrator'];
                    }
                    $allUsers['data'][] = $eachUser;
				}
			}
		}
		return($allUsers);
    }

    public function put($which, $data)
    {
        $status = false;
        if ($which != -1) {
            $userInfo = $this->BP->get_user_info($which);
            if ($userInfo !== false) {
                $userName = $userInfo['name'];
            }
            if (isset($data['current_password'])) {
                $valid = $this->BP->authenticate($userName, $data['current_password']);
                if ($valid !== -1) {
                    if (isset($data['password'])) {
                        $data['id'] = $which;
                        $status = $this->BP->save_user_info($data);
                    }
                } else {
                    $status = 'The current password provided is incorrect.';
                }
            } else {
                $status = 'Specify the current password.';
            }
        }
        return $status;
    }

    public function delete($which)
    {
		return('Not Implemented');
    }

}

?>
