<?php
// defines BP, xml, action, cookie
require 'header.php';

$localID = $BP->get_local_system_id();
$dpuID = isset($_GET['sid']) ? (int)$_GET['sid'] : $localID;

// figure out which sysID to used based on view.
$sysID = $grandClientView ? $localID : $dpuID;

switch ($action) {
								
	case "login":
			if (isset($_REQUEST['passphrase'])) {
				$passphrase = $_REQUEST['passphrase'];
				// First get encryption information.	
				$cryptInfo = $BP->get_crypt_info($sysID);
				if ($cryptInfo === false) {
					$BP->buildResult($xml, false);
				} else {
					// take current options as-is, add passphrase.  If fails, passphrase wrong.
					$cryptInfo = array();
					if (isset($_REQUEST['persistent'])) {
						$flag = $_REQUEST['persistent'];
						$bFlag = $flag == '1' ? true : false;
						$cryptInfo = array_merge($cryptInfo, array ("persistent" => $bFlag));
					}
					$cryptInfo = buildOptions($cryptInfo,
											  array("current_passphrase" => "passphrase"),
											  array());			
					$systemID = isset($_REQUEST['sid']) ? (int)$_REQUEST['sid'] : $BP->get_local_system_id();
					
					$bSuccess = false;
					$result = $BP->save_crypt_info($cryptInfo, $sysID);

					if ($result === true) {
						$bSuccess = true;
					} else {
						$Log->writeVariable("RRC: decoding passphrase...");
						$passphrase = urldecode($passphrase);
						$cryptInfo['current_passphrase'] = $passphrase;
						$result = $BP->save_crypt_info($cryptInfo, $sysID);
						if ($result === true) {
							$bSuccess = true;
						} else {
							$Log->writeVariable("RRC: encoding passphrase...");
							$passphrase = urlencode($passphrase);
							$cryptInfo['current_passphrase'] = $passphrase;
							$result = $BP->save_crypt_info($cryptInfo, $sysID);
							if ($result === true) {
								$bSuccess = true;
							}
						}
					}
					
					if ($bSuccess) {
						$xml->push("root");
						$xml->element("AuthenticationString", $passphrase);	
						$xml->pop(); // root	
					} else {
						$BP->buildResult($xml, false);
					}
				}
			} else {
				$BP->buildResult($xml, false, "encryption: no passphrase received for authentication.");
			}
			echo($xml->getXml());
			break;
}

$BP->destroyCookie();
?>