/*
 Warn before unloading RRC.
 */

var FlexOnBeforeUnload = { 
  
   /** 
    * Flag indicating the user should be prompted each 
    * time they attempt to navigate away from or refresh 
    * the Admin HTML page. 
    */
   prompt: false, 
  
   promptText: "Refreshing or leaving this page will cause you "
             + "to leave the Rapid Recovery Console.\n\n", 
  
   /** 
    * Sets the value of "prompt" 
    */
   setPrompt: function (value) { 
      if (value) { 
         FlexOnBeforeUnload.prompt = true; 
      } else if (!value) { 
         FlexOnBeforeUnload.prompt = false; 
      } 
   } ,
  

   /** 
    * Sets the value of "promptText" 
    */
   setPromptText: function (value) { 
      FlexOnBeforeUnload.promptText = value; 
   } 

};
