<?php

class CSV {

    public function toCSV($header, $data)
    {
        $s = "";
        // get header
        foreach ($header as $key => $value) {
            if (!is_array($value)) {
                $s .= $this->encapsulateCSV($key) . ',';
            }
        }
        $s .= "\n";
        // get data
        foreach ($data as $row) {
            foreach ($row as $key => $value) {
                if (!is_array($value)) {
                    $s .= $this->encapsulateCSV(strval($value)) . ',';
                } else {
                    $s .= "\n" . $this->toCSV($value[0], $value) . "\n";
                }
            }
            $s .= "\n";
        }
        return $s;
    }

    private function encapsulateCSV($data)
    {
        $s = "";
        if ($data != "") {
            //$s = str_replace('\"', '\"\"', $data);
            $s = $data;
        }
        return '"' . $s . '"';
    }
}

?>
