<?php

class SNMPConfig
{
    private $BP;

    public function __construct($BP)
    {
        $this->BP = $BP;

    }


    public function get($which)
    {
        $bValid = true;
        $dpuID = 1;
        $localID = 1;

        $traps = $this->BP->get_snmp_config($dpuID);

        $allTraps = array();
        foreach ($traps as $trap) {
            if (is_numeric($which) and $which > 0 and $trap['id'] != $which) {
                continue;
            }
            if (is_string($which) and $which != $trap['destination']){
                continue;
            }

            if ($which){
                $allTraps[] = $trap;
            }
        }

        return($allTraps);
    }
}

?>
