<?php
// defines BP, xml, action, cookie
require 'header.php';

switch ($action) {

	case "activity":
	case "error":	$bValid = true;
					$logType = $action;
					if (isset($_GET['id'])) {
						$id = $_GET['id'];
						$dpuID = isset($_GET['sid']) ? (int)$_GET['sid'] : $BP->get_local_system_id();
						if (!isset($_GET['sid']) || $dpuID == $BP->get_local_system_id()) {
							$logs = $BP->get_workspace_log($id, $logType, 500);
						} else {
							$logs = $BP->get_workspace_log($id, $logType, 500, $dpuID);
						}
						if ($logs !== false) {
							displayLogs($xml, $logType, $logs);
						} else {
							$bValid = false;
						}
					} else {
						$dpuID = isset($_GET['sid']) ? (int)$_GET['sid'] : $BP->get_local_system_id();
						if (!isset($_GET['sid']) || $dpuID == $BP->get_local_system_id()) {
							$logs = $BP->get_exchange_log($logType, 500);
						} else {
							$logs = $BP->get_exchange_log($logType, 500, $dpuID);
						}
						if ($logs !== false) {
							displayLogs($xml, $logType, $logs);
						} else {
							$bValid = false;
						}				
					}
					if (!$bValid) {
						$xml->clear(false);
						$BP->buildResult($xml, false);
					}
					echo($xml->getXml());
					break;

}

function displayLogs($xml, $logType, $logs)
{
	$xml->push('root');
	$logAttribute = $logType;
	
	foreach ($logs as $log) {
		$xml->push('ExchangeLog', array("Number" => $log['number'], "Type" => $logAttribute));
		if (array_key_exists('host', $log))
			$xml->element('Host', $log['host']);
		if (array_key_exists('source', $log))
			$xml->element('Source', $log['source']);
		
		// lmc - timestamp is a string.	
		/*
		$day = date('m/d/Y', $log['timestamp']);
		$time = date('h:i:sA', $log['timestamp']);
		$xml->element('Date', $day);
		$xml->element('Time', $time);
		*/
		$dayTime = $log['timestamp'];
		$xml->element('Date', $dayTime);
			
		if (array_key_exists('severity', $log))
			$xml->element('Severity', $log['severity']);
		if (array_key_exists('message', $log))
			$xml->element('Message', $log['message']);
		if (array_key_exists('description', $log))
			$xml->element('Description', $log['description']);
		$xml->pop(); // log entry
	}
	$xml->pop();
}

$BP->destroyCookie();
?>
